Package io.dapr.v1

# Class DaprProtos.EncryptRequestOptions

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.DaprProtos.EncryptRequestOptions

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.EncryptRequestOptionsOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

public static final class DaprProtos.EncryptRequestOptions extends com.google.protobuf.GeneratedMessageV3 implements DaprProtos.EncryptRequestOptionsOrBuilder

     EncryptRequestOptions contains options for the first message in the EncryptAlpha1 request.

Protobuf type `dapr.proto.runtime.v1.EncryptRequestOptions`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DaprProtos.EncryptRequestOptions.Builder`
EncryptRequestOptions contains options for the first message in the EncryptAlpha1 request.

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMPONENT_NAME_FIELD_NUMBER`
`static final int`
`DATA_ENCRYPTION_CIPHER_FIELD_NUMBER`
`static final int`
`DECRYPTION_KEY_NAME_FIELD_NUMBER`
`static final int`
`KEY_NAME_FIELD_NUMBER`
`static final int`
`KEY_WRAP_ALGORITHM_FIELD_NUMBER`
`static final int`
`OMIT_DECRYPTION_KEY_NAME_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getComponentName()`
Name of the component.
`com.google.protobuf.ByteString`
`getComponentNameBytes()`
Name of the component.
`String`
`getDataEncryptionCipher()`
Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"
`com.google.protobuf.ByteString`
`getDataEncryptionCipherBytes()`
Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"
`String`
`getDecryptionKeyName()`
Key reference to embed in the encrypted document (name or name/version).
`com.google.protobuf.ByteString`
`getDecryptionKeyNameBytes()`
Key reference to embed in the encrypted document (name or name/version).
`static DaprProtos.EncryptRequestOptions`
`getDefaultInstance()`
`DaprProtos.EncryptRequestOptions`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`String`
`getKeyName()`
Name (or name/version) of the key.
`com.google.protobuf.ByteString`
`getKeyNameBytes()`
Name (or name/version) of the key.
`String`
`getKeyWrapAlgorithm()`
Key wrapping algorithm to use.
`com.google.protobuf.ByteString`
`getKeyWrapAlgorithmBytes()`
Key wrapping algorithm to use.
`boolean`
`getOmitDecryptionKeyName()`
If true, the encrypted document does not contain a key reference.
`com.google.protobuf.Parser<DaprProtos.EncryptRequestOptions>`
`getParserForType()`
`int`
`getSerializedSize()`
`int`
`hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static DaprProtos.EncryptRequestOptions.Builder`
`newBuilder()`
`static DaprProtos.EncryptRequestOptions.Builder`
`newBuilder(DaprProtos.EncryptRequestOptions prototype)`
`DaprProtos.EncryptRequestOptions.Builder`
`newBuilderForType()`
`protected DaprProtos.EncryptRequestOptions.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.EncryptRequestOptions`
`parseDelimitedFrom(InputStream input)`
`static DaprProtos.EncryptRequestOptions`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.EncryptRequestOptions`
`parseFrom(byte[] data)`
`static DaprProtos.EncryptRequestOptions`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.EncryptRequestOptions`
`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.EncryptRequestOptions`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.EncryptRequestOptions`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.EncryptRequestOptions`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.EncryptRequestOptions`
`parseFrom(InputStream input)`
`static DaprProtos.EncryptRequestOptions`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.EncryptRequestOptions`
`parseFrom(ByteBuffer data)`
`static DaprProtos.EncryptRequestOptions`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.EncryptRequestOptions>`
`parser()`
`DaprProtos.EncryptRequestOptions.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### COMPONENT_NAME_FIELD_NUMBER

public static final int COMPONENT_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### KEY_NAME_FIELD_NUMBER

public static final int KEY_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### KEY_WRAP_ALGORITHM_FIELD_NUMBER

public static final int KEY_WRAP_ALGORITHM_FIELD_NUMBER

See Also:
  - Constant Field Values

### DATA_ENCRYPTION_CIPHER_FIELD_NUMBER

public static final int DATA_ENCRYPTION_CIPHER_FIELD_NUMBER

See Also:
  - Constant Field Values

### OMIT_DECRYPTION_KEY_NAME_FIELD_NUMBER

public static final int OMIT_DECRYPTION_KEY_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### DECRYPTION_KEY_NAME_FIELD_NUMBER

public static final int DECRYPTION_KEY_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getComponentName

public String getComponentName()

     Name of the component. Required.

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentName` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The componentName.

### getComponentNameBytes

public com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component. Required.

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentNameBytes` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The bytes for componentName.

### getKeyName

public String getKeyName()

     Name (or name/version) of the key. Required.

`string key_name = 2 [json_name = "keyName"];`

Specified by:
  `getKeyName` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The keyName.

### getKeyNameBytes

public com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key. Required.

`string key_name = 2 [json_name = "keyName"];`

Specified by:
  `getKeyNameBytes` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The bytes for keyName.

### getKeyWrapAlgorithm

public String getKeyWrapAlgorithm()

     Key wrapping algorithm to use. Required.
     Supported options include: A256KW (alias: AES), A128CBC, A192CBC, A256CBC, RSA-OAEP-256 (alias: RSA).

`string key_wrap_algorithm = 3;`

Specified by:
  `getKeyWrapAlgorithm` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The keyWrapAlgorithm.

### getKeyWrapAlgorithmBytes

public com.google.protobuf.ByteString getKeyWrapAlgorithmBytes()

     Key wrapping algorithm to use. Required.
     Supported options include: A256KW (alias: AES), A128CBC, A192CBC, A256CBC, RSA-OAEP-256 (alias: RSA).

`string key_wrap_algorithm = 3;`

Specified by:
  `getKeyWrapAlgorithmBytes` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The bytes for keyWrapAlgorithm.

### getDataEncryptionCipher

public String getDataEncryptionCipher()

     Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"

`string data_encryption_cipher = 10;`

Specified by:
  `getDataEncryptionCipher` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The dataEncryptionCipher.

### getDataEncryptionCipherBytes

public com.google.protobuf.ByteString getDataEncryptionCipherBytes()

     Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"

`string data_encryption_cipher = 10;`

Specified by:
  `getDataEncryptionCipherBytes` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The bytes for dataEncryptionCipher.

### getOmitDecryptionKeyName

public boolean getOmitDecryptionKeyName()

     If true, the encrypted document does not contain a key reference.
     In that case, calls to the Decrypt method must provide a key reference (name or name/version).
     Defaults to false.

`bool omit_decryption_key_name = 11 [json_name = "omitDecryptionKeyName"];`

Specified by:
  `getOmitDecryptionKeyName` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The omitDecryptionKeyName.

### getDecryptionKeyName

public String getDecryptionKeyName()

     Key reference to embed in the encrypted document (name or name/version).
     This is helpful if the reference of the key used to decrypt the document is different from the one used to encrypt it.
     If unset, uses the reference of the key used to encrypt the document (this is the default behavior).
     This option is ignored if omit_decryption_key_name is true.

`string decryption_key_name = 12 [json_name = "decryptionKeyName"];`

Specified by:
  `getDecryptionKeyName` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The decryptionKeyName.

### getDecryptionKeyNameBytes

public com.google.protobuf.ByteString getDecryptionKeyNameBytes()

     Key reference to embed in the encrypted document (name or name/version).
     This is helpful if the reference of the key used to decrypt the document is different from the one used to encrypt it.
     If unset, uses the reference of the key used to encrypt the document (this is the default behavior).
     This option is ignored if omit_decryption_key_name is true.

`string decryption_key_name = 12 [json_name = "decryptionKeyName"];`

Specified by:
  `getDecryptionKeyNameBytes` in interface `DaprProtos.EncryptRequestOptionsOrBuilder`
Returns:
  The bytes for decryptionKeyName.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static DaprProtos.EncryptRequestOptions parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.EncryptRequestOptions parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.EncryptRequestOptions parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.EncryptRequestOptions parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.EncryptRequestOptions parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.EncryptRequestOptions parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.EncryptRequestOptions parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.EncryptRequestOptions parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.EncryptRequestOptions parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.EncryptRequestOptions parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.EncryptRequestOptions parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.EncryptRequestOptions parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DaprProtos.EncryptRequestOptions.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static DaprProtos.EncryptRequestOptions.Builder newBuilder()

### newBuilder

public static DaprProtos.EncryptRequestOptions.Builder newBuilder(DaprProtos.EncryptRequestOptions prototype)

### toBuilder

public DaprProtos.EncryptRequestOptions.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected DaprProtos.EncryptRequestOptions.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static DaprProtos.EncryptRequestOptions getDefaultInstance()

### parser

public static com.google.protobuf.Parser<DaprProtos.EncryptRequestOptions> parser()

### getParserForType

public com.google.protobuf.Parser<DaprProtos.EncryptRequestOptions> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public DaprProtos.EncryptRequestOptions getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`